export default {
  // 唯一值
  id: '',
  title: '标题',
  // 数据源接口相关
  dataSource: {
    dataSourceCode: '', // 数据源编码
    dataSourceType: '', // 数据类型 object ，array
    dataMetadata: [
      {
        code: 'month', // 字段名称
        displayName: '月份', // 别名
        dataType: 'String' // 数据类型
      },
      {
        code: 'count', // 字段名称
        displayName: '数量', // 别名
        dataType: 'Number' // 数据类型
      },
      {
        code: 'checi', // 字段名称
        displayName: '车次', // 别名
        dataType: 'Number' // 数据类型
      },
      {
        code: 'renshu', // 字段名称
        displayName: '人数', // 别名
        dataType: 'Number' // 数据类型
      }
    ],
    dataConfig: [
      {
        url: 'gys/material/info', // 返回月份、车次、数量
        params: {
          beginTime: '20200121'
        },
        method: 'GET'
      },
      {
        url: 'labor/count', // 返回月份、人数
        params: {
          beginTime: '20200121'
        },
        method: 'GET'
      }
    ],
    keyField: 'month' // 前插处理数据， 如果有该字段，根据这个字段将两个或多个数据合并
  },
  // 图表配置
  config: {
    theme: 'black', // 主题
    type: 'chart',

    settings: {
      dimension: ['month'], // 指定维度 array,string
      showLegend: false,
      order: {
        field: 'count',
        type: 'asc'
      }, // 排序方式  desc asc
      metricConfig: [
        {
          type: 'line', // 组件类型 // 折线图，柱图、条形图
          metrics: ['count'], // 指定指标 array,string
          // 左右坐标轴数据类型
          axis: [
            {
              position: 'left',
              field: ['count'],
              name: '数量',
              unit: '单位'
            },
            {
              position: 'right',
              field: ['renshu'],
              name: '人数',
              unit: '单位'
            }
          ]
        },
        {
          type: 'hBar', // 组件类型 // 折线图，柱图、条形图
          metrics: ['count'], // 指定指标 array,string
          // 左右坐标轴数据类型
          axis: [
            {
              position: 'top',
              field: ['count'],
              name: '数量',
              unit: '单位'
            },
            {
              position: 'bottom',
              field: ['renshu'],
              name: '人数',
              unit: '单位'
            }
          ]
        },
        {
          type: 'bar', // 组件类型 // 柱图
          metrics: ['renshu'] // 指定指标 array,string
        },
        {
          type: 'pie', // 组件类型 // 饼图
          metrics: 'checi', // 指定指标 array,string
          radius: false, // 是否环形图
          roseType: false // 是否玫瑰图
        },
        {
          type: 'gauge', // 组件类型 // 仪表图
          metrics: ['checi'] // 指定指标 array,string
        },
        {
          type: 'funnel', // 组件类型 // 漏斗图
          metrics: ['checi'], // 指定指标 array,string
          ascending: false // 金字塔形状显示
        },
        {
          type: 'scatter', // 散点图
          symbolSize: 10, // 散点大小
          yAxis: [
            {
              position: 'left',
              field: ['count'],
              name: '数量',
              unit: '单位'
            }
          ]
        }
        //   {
        //     type: 'bar', // 组件类型 // 折线图，柱图、条形图
        // area: true, // 面积
        // metrics: ['count', 'checi', 'renshu'], // 指定指标 array,string

        // // stack: { 销售额: ['成本', '利润'] }, //  堆叠  即将'成本', '利润'相应的数据堆叠在一起。

        // // 设置横轴数据类型['value','time','category']  条形图 yAxisType: 'value'
        // xAxisType: 'value', // 横轴的数据类型
        // yAxisType: ['percent'], // 左右坐标轴数据类型
        // // 双坐标轴，指定坐标轴，坐标轴数据类型，坐标轴标题

        // axisSite: { right: ['下单率'] }, // 指标所在的轴,双坐标轴需要使用, 默认不在right轴的指标都在left轴，
        // yAxisName: ['数值', '比率'],

        // // 数据的排序方式
        // order: 'asc', // 排序方式  desc asc

        // // 饼图、玫瑰图、环形图

        // // 漏斗图
        // ascending: false, // 金字塔形状显示

        // // 热力图
        // visualMap: 'value', // 热力样式

        // // 散点图
        // symbolSize: 10 // 散点大小
        //   }
      ]
    }
  }
}
