module.exports = {
  code: 'risk-warn',
  name: '各风险项预警',
  layouts: [ // 布局相关的元数据
    {
      type: 'grid', // 可选  默认：grid  显示的方式   gird:layout-grid布局方式布局 ,dialog: 弹窗的方式显示, slot 插槽的方式显示
      components: [
        {
          id: 'date-1',
          x: 0,
          y: 0,
          w: 24,
          h: 2,
          i: 0
        },
        {
          id: 'table-1',
          x: 0,
          y: 2,
          w: 12,
          h: 10,
          i: 2
        },
        {
          id: 'table-2',
          x: 12,
          y: 2,
          w: 12,
          h: 10,
          i: 3
        }
      ]
    },
    {
      type: 'dialog', //  这里配置需要弹窗的组件
      components: [
        {
          id: 'dialog-3',
          w: '80%',
          showFooter: true
        },
        {
          id: 'dialog-4',
          w: '80%',
          showFooter: true
        }
      ]
    }
  ],
  components: [
    {
      id: 'date-1',
      name: '日期范围',
      componentType: 'gys-date-demo-range'
    },
    {
      id: 'date-pick-1',
      name: '日期范围',
      componentType: 'gys-date-demo-range'
    },
    {
      id: 'date-pick-3',
      name: '日期范围3',
      componentType: 'gys-date-demo-range'
    },
    {
      id: 'button-1',
      width: 240,
      height: 30,
      name: '按钮',
      componentType: 'gys-base-demo-button'
    },
    {
      id: 'table-1',
      title: '表格',
      componentType: 'gys-base-demo-table',
      // 图表配置元数据需要的参数
      defaultParams: {
        metadataId: '232323',
        orgId: '{{orgId}}' // 从上下文获取组织id
      },
      slots: [
        // 组件插槽的
        {
          slotName: 'right', // 组件内部插槽位置的名称
          componentId: 'button-1'
        }
      ],
      redirect: {
        type: 'url', // 默认：url   备选值：url，router
        params: ['month'], // 传递参数
        path: '' // 跳转路径
      }
    },
    {
      id: 'table-2',
      title: '表格',
      componentType: 'gys-base-demo-table',
      // 图表配置元数据需要的参数
      defaultParams: {
        metadataId: '232323',
        orgId: '{{orgId}}' // 从上下文获取组织id
      },
      slots: [
        // 组件插槽的
        {
          slotName: 'right', // 组件内部插槽位置的名称
          componentId: 'date-pick-1'
        }
      ],
      redirect: {
        // 跳转的相关配置
        type: 'router', // 组件点击跳转的方式  默认：url   备选值：url，router
        params: { month: '12' }, // 传递参数
        // query: { month: '12' }, // 传递参数
        path: '/a' // 跳转路径
      }
    },
    {
      id: 'dialog-3',
      title: '表格',
      componentType: 'gys-base-demo-table',
      // 图表配置元数据需要的参数
      defaultParams: {
        // metadataId: '232323',
        orgId: '{{orgId}}' // 从上下文获取组织id
      }
    },
    {
      id: 'dialog-4',
      title: '弹出层',
      componentType: 'gys-base-demo-table',
      // 图表配置元数据需要的参数
      defaultParams: {
        // metadataId: '232323',
        orgId: '{{orgId}}' // 从上下文获取组织id
      },
      slots: [
        // 组件插槽的
        {
          slotName: 'right', // 组件内部插槽位置的名称
          componentId: 'date-pick-3'
        }
      ]
    }
  ],
  actions: [
    {
      eventName: 'loaded',
      sourceControl: 'date-1', // 源组件的id
      params: ['beginDate', 'endDate', 'orgId'], // 组件可以提供的参数，但目标组件接受的参数由 targetControls里面的 params  决定
      targetControls: [
        {
          id: 'table-1', // 目标组件的id
          params: {
            // 目标组件需要的参数
            startTime: 'beginDate', // startTime 是目标组件接收参数的名称， beginDate 是传递过来的参数名称
            endTime: 'endDate'
          }
        }
      ]
    },
    {
      eventName: 'change',
      sourceControl: 'date-1', // 源组件的id
      params: ['beginDate', 'endDate', 'orgId'], // 组件可以提供的参数，但目标组件接受的参数由 targetControls里面的 params  决定
      targetControls: [
        {
          id: 'table-1', // 目标组件的id
          params: {
            // 目标组件需要的参数
            startTime: 'beginDate', // startTime 是目标组件接收参数的名称， beginDate 是传递过来的参数名称
            endTime: 'endDate'
          }
        },
        {
          id: 'table-2',
          params: {
            startTime: 'beginDate',
            endTime: 'endDate'
          }
        }
      ]
    },
    {
      eventName: 'change',
      sourceControl: 'date-pick-1',
      params: ['beginDate', 'endDate', 'orgId'],
      targetControls: [
        {
          id: 'table-2',
          params: {
            startTime: 'beginDate',
            endTime: 'endDate'
          }
        }
      ]
    },
    {
      eventName: 'click',
      sourceControl: 'button-1',
      params: ['state'],
      targetControls: [
        {
          id: 'dialog-4',
          params: {
            display: 'state'
          }
        }
      ]
    }
  ],
  componentsMetadata: [ //  组件相关元数据， 组件内部可以通过 cmpMetadata属性获取的到
    {
      // 唯一值
      id: 2333,
      cmpId: 'table-1',
      title: '标题',
      // 数据源接口相关
      dataSource: [
        {
          // dataSourceCode: '', // 数据源编码
          dataSourceType: '', // 数据类型 object ，array
          dataMetadata: [
            {
              code: 'month', // 字段名称
              displayName: '月份', // 别名
              dataType: 'String' // 数据类型
            },
            {
              code: 'count', // 字段名称
              displayName: '数量', // 别名
              dataType: 'Number' // 数据类型
            },
            {
              code: 'isNegative ', // 字段名称
              displayName: '是否超负差', // 别名
              dataType: 'Number' // 数据类型
            },
            {
              code: 'checi', // 字段名称
              displayName: '车次', // 别名
              dataType: 'Number' // 数据类型
            },
            {
              code: 'renshu', // 字段名称
              displayName: '人数', // 别名
              dataType: 'Number' // 数据类型
            }
          ],
          dataConfig: [
            {
              url: 'gys/material/info', // 返回月份、车次、数量
              params: {
                beginTime: '20200121'
              },
              method: 'GET'
            },
            {
              url: 'labor/count', // 返回月份、人数
              params: {
                beginTime: '20200121'
              },
              method: 'GET'
            }
          ],
          keyField: 'month' // 前插处理数据， 如果有该字段，根据这个字段将两个或多个数据合并
        }
      ],
      // 图表配置
      config: {
        theme: 'black', // 主题
        type: 'cardList',
        title: '',
        order: [
          {
            field: 'count',
            type: 'asc',
            displayName: ''
          }
        ],
        settings: {
          templateHtml:
            '<div style="height:100%"><div> 本期收料测算</><div class="color{isNegative }">{count}</div></div>' // 样式color1 红色，color-1 蓝色
        }
      }
    },
    {
      id: 'chart-1',
      title: '标题',
      // 数据源接口相关
      dataSource: {
        dataSourceCode: '', // 数据源编码
        dataSourceType: '', // 数据类型 object ，array
        dataMetadata: [
          {
            code: 'month', // 字段名称
            displayName: '月份', // 别名
            dataType: 'String' // 数据类型
          },
          {
            code: 'count', // 字段名称
            displayName: '数量', // 别名
            dataType: 'Number' // 数据类型
          },
          {
            code: 'checi', // 字段名称
            displayName: '车次', // 别名
            dataType: 'Number' // 数据类型
          },
          {
            code: 'renshu', // 字段名称
            displayName: '人数', // 别名
            dataType: 'Number' // 数据类型
          }
        ],
        dataConfig: [
          {
            url: 'gys/material/info', // 返回月份、车次、数量
            params: {
              beginTime: '20200121'
            },
            method: 'GET'
          },
          {
            url: 'labor/count', // 返回月份、人数
            params: {
              beginTime: '20200121'
            },
            method: 'GET'
          }
        ],
        keyField: 'month' // 前插处理数据， 如果有该字段，根据这个字段将两个或多个数据合并
      },
      // 图表配置
      config: {
        theme: 'black', // 主题
        type: 'chart',
        settings: {
          dimension: ['month'], // 指定维度 array,string
          showLegend: false,
          order: {
            field: 'count',
            type: 'asc'
          }, // 排序方式  desc asc
          metricConfig: [
            {
              type: 'line', // 组件类型 // 折线图，柱图、条形图
              metrics: ['count'], // 指定指标 array,string
              // 左右坐标轴数据类型
              axis: [
                {
                  position: 'left',
                  field: ['count'],
                  name: '数量',
                  unit: '单位'
                },
                {
                  position: 'right',
                  field: ['renshu'],
                  name: '人数',
                  unit: '单位'
                }
              ]
            }
          ]
        }
      }
    }
  ]
}
