module.exports = {
  code: 'risk-warn',
  name: '各风险项预警',
  layouts: [
    {
      type: 'grid', // 可选  默认：grid  显示的方式   gird:layout-grid布局方式布局 ,dialog: 弹窗的方式显示, slot 插槽的方式显示
      components: [
        {
          id: 'date-1',
          x: 0,
          y: 0,
          w: 24,
          h: 2,
          i: 0
        },
        {
          id: 'table-1',
          x: 0,
          y: 2,
          w: 12,
          h: 10,
          i: 2
        },
        {
          id: 'table-2',
          x: 12,
          y: 2,
          w: 12,
          h: 10,
          i: 3
        }
      ]
    },
    {
      type: 'dialog',
      components: [
        {
          id: 'dialog-3',
          w: '80%',
          showFooter: true
        },
        {
          id: 'dialog-4',
          w: '80%',
          showFooter: true
        }
      ]
    }
  ],
  components: [
    {
      id: 'date-1',
      name: '日期范围',
      componentType: 'gys-date-demo-range'
    },
    {
      id: 'date-pick-1',
      name: '日期范围',
      componentType: 'gys-date-demo-range'
    },
    {
      id: 'button-1',
      width: 240,
      height: 30,
      name: '按钮',
      componentType: 'gys-base-demo-button'
    },
    {
      id: 'table-1',
      title: '表格',
      componentType: 'gys-base-demo-table',
      // 图表配置元数据需要的参数
      defaultParams: {
        metadataId: '232323',
        orgId: '{{orgId}}' // 从上下文获取组织id
      },
      slots: [
        // 组件插槽的
        {
          slotName: 'right', // 组件内部插槽位置的名称
          componentId: 'date-pick-1'
        }
      ],
      redirect: {
        type: 'url', // 默认：url   备选值：url，router
        params: ['month'], // 传递参数
        path: '' // 跳转路径
      }
    },
    {
      id: 'table-2',
      title: '表格',
      componentType: 'gys-base-demo-table',
      // 图表配置元数据需要的参数
      defaultParams: {
        metadataId: '232323',
        orgId: '{{orgId}}' // 从上下文获取组织id
      },

      slots: [
        // 组件插槽的
        {
          slotName: 'right', // 组件内部插槽位置的名称
          componentId: 'button-1'
        }
      ],
      redirect: {
        // 跳转的相关配置
        type: 'router', // 组件点击跳转的方式  默认：url   备选值：url，router
        params: { month: '12' }, // 传递参数
        // query: { month: '12' }, // 传递参数
        path: '/a' // 跳转路径
      }
    },
    {
      id: 'dialog-3',
      title: '表格',
      componentType: 'gys-base-demo-table',
      // 图表配置元数据需要的参数
      defaultParams: {
        // metadataId: '232323',
        orgId: '{{orgId}}' // 从上下文获取组织id
      }
    },
    {
      id: 'dialog-4',
      title: '弹出层',
      componentType: 'gys-base-demo-from',
      // 图表配置元数据需要的参数
      defaultParams: {
        // metadataId: '232323',
        orgId: '{{orgId}}' // 从上下文获取组织id
      }
    }
  ],
  actions: [
    {
      eventName: 'loaded',
      sourceControl: 'date-1', // 源组件的id
      params: ['beginDate', 'endDate', 'orgId'], // 组件可以提供的参数，但目标组件接受的参数由 targetControls里面的 params  决定
      targetControls: [
        {
          id: 'table-1', // 目标组件的id
          params: {
            // 目标组件需要的参数
            startTime: 'beginDate', // startTime 是目标组件接收参数的名称， beginDate 是传递过来的参数名称
            endTime: 'endDate'
          }
        }
      ]
    },
    {
      eventName: 'change',
      sourceControl: 'date-1', // 源组件的id
      params: ['beginDate', 'endDate', 'orgId'], // 组件可以提供的参数，但目标组件接受的参数由 targetControls里面的 params  决定
      targetControls: [
        {
          id: 'table-1', // 目标组件的id
          params: {
            // 目标组件需要的参数
            startTime: 'beginDate', // startTime 是目标组件接收参数的名称， beginDate 是传递过来的参数名称
            endTime: 'endDate'
          }
        },
        {
          id: 'table-2',
          params: {
            startTime: 'beginDate',
            endTime: 'endDate'
          }
        }
      ]
    },
    {
      eventName: 'change',
      sourceControl: 'date-pick-1',
      params: ['beginDate', 'endDate', 'orgId'],
      targetControls: [
        {
          id: 'table-2',
          params: {
            startTime: 'beginDate',
            endTime: 'endDate'
          }
        }
      ]
    },
    {
      eventName: 'click',
      sourceControl: 'button-1',
      params: ['state'],
      targetControls: [
        {
          id: 'layout-4',
          params: {
            display: 'state'
          }
        }
      ]
    }
  ],
  componentsMetadata: []
}
