import Vue from 'vue'
import router from './router'

import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import { install } from '@/components/index'
import 'gys-css/dist/gys-common.css'
import http from '@/components/util/http'

import BaseTable from './demo-cmp/base-table.vue'
import DateRange from './demo-cmp/date-range.vue'
import BaseButton from './demo-cmp/base-button.vue'
import BaseFrom from './demo-cmp/base-from.vue'

Vue.component('gys-base-demo-table', BaseTable)
Vue.component('gys-date-demo-range', DateRange)
Vue.component('gys-base-demo-button', BaseButton)
Vue.component('gys-base-demo-from', BaseFrom)

Vue.use(install)
Vue.use(ElementUI, { size: 'small' })
Vue.config.productionTip = false
Vue.prototype.$http = http

new Vue({
  router,
  render: h => h('router-view')
}).$mount('#app')
